<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>MyUFTDevID</groupId>
    <artifactId>MyUFTDev</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>jar</packaging>
    <name>MyUFTDeveloperPJ</name>
    <description></description>

    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.12</version>
        </dependency>
        
       <dependency>
            <groupId>com.hp.lft</groupId>
            <artifactId>sdk</artifactId>
            <version>2022.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.hp.lft</groupId>
            <artifactId>common</artifactId>
            <version>2022.0.0</version>
        </dependency>

        <dependency>
            <groupId>com.hp.lft</groupId>
            <artifactId>report</artifactId>
            <version>2022.0.0</version>
        </dependency>
       <dependency>
            <groupId>com.hp.lft</groupId>
            <artifactId>reportbuilder</artifactId>
            <version>2022.0.0</version>
        </dependency>

        <dependency>
            <groupId>com.hp.lft</groupId>
            <artifactId>unittesting</artifactId>
            <version>2022.0.0</version>
        </dependency>

        <dependency>
            <groupId>com.hp.lft</groupId>
            <artifactId>verifications</artifactId>
            <version>2022.0.0</version>
        </dependency>
    </dependencies>
    
    <repositories>
    <!--<repository>
            <id>Your repository's ID</id>
            <name>Your repository's name</name>
            <url>URL of the repository containing the UFT Developer jar files</url>
        </repository>-->
    </repositories>
	
	<properties>
        <test.src.dir>src/test/java</test.src.dir>
    </properties>

    <build>
		<testSourceDirectory>${test.src.dir}</testSourceDirectory>
		
        <plugins>
			<!--Uncomment this section if you want to use the application model generator plugin-->
            <!--For details, see https://admhelp.microfocus.com/uftdev/en/latest/HelpCenter/Content/HowTo/update-appModel.htm#hp-minitoc-item-3-->
            <!--<plugin>-->
                <!--<groupId>com.hpe.lft</groupId>-->
                <!--<artifactId>appmodel-generator-mojo</artifactId>-->
                <!--<version>2022.0.0</version>-->
                <!--<executions>-->
                    <!--<execution>-->
                        <!--<phase>validate</phase>-->
                        <!--<goals>-->
                            <!--<goal>generate</goal>-->
                        <!--</goals>-->
                    <!--</execution>-->
					<!--<configuration>-->
                    <!--</configuration>-->
                <!--</executions>-->
            <!--</plugin>-->
			
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                </configuration>
            </plugin>
            
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>1.10</version>
                <executions>
                    <execution>
                        <id>add-source</id>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>add-source</goal>
                        </goals>
                        <configuration>
                            <sources>
                                <source>appmodels</source>
                            </sources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
        <pluginManagement>
        	<plugins>
        		<!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
        		<plugin>
        			<groupId>org.eclipse.m2e</groupId>
        			<artifactId>lifecycle-mapping</artifactId>
        			<version>1.0.0</version>
        			<configuration>
        				<lifecycleMappingMetadata>
        					<pluginExecutions>
        						<pluginExecution>
        							<pluginExecutionFilter>
        								<groupId>
        									org.codehaus.mojo
        								</groupId>
        								<artifactId>
        									build-helper-maven-plugin
        								</artifactId>
        								<versionRange>
        									[1.10,)
        								</versionRange>
        								<goals>
        									<goal>add-source</goal>
        								</goals>
        							</pluginExecutionFilter>
        							<action>
        								<ignore></ignore>
        							</action>
        						</pluginExecution>
        					</pluginExecutions>
        				</lifecycleMappingMetadata>
        			</configuration>
        		</plugin>
        	</plugins>
        </pluginManagement>
    </build>
	
	<profiles>
        <profile>
            <id>leanft-tests</id>
            <properties>
                <test.src.dir>src/main/java</test.src.dir>
            </properties>
        </profile>
    </profiles>
</project>